libmpdclient: /usr/src/extras/libmpdclient/libmpdclient-2.11-1.i686/src/libmpdclient-2.11/include/mpd/capabilities.h File Reference

libmpdclient 2.11

Functions
capabilities.h File Reference

MPD client library. More...

Go to the source code of this file.

## Functions
bool | mpd_send_allowed_commands (struct mpd_connection *connection)
bool | mpd_send_disallowed_commands (struct mpd_connection *connection)
static mpd_malloc struct mpd_pair * | mpd_recv_command_pair (struct mpd_connection *connection)
bool | mpd_send_list_url_schemes (struct mpd_connection *connection)
static mpd_malloc struct mpd_pair * | mpd_recv_url_scheme_pair (struct mpd_connection *connection)
bool | mpd_send_list_tag_types (struct mpd_connection *connection)
static mpd_malloc struct mpd_pair * | mpd_recv_tag_type_pair (struct mpd_connection *connection)

## Detailed Description

MPD client library.

Do not include this header directly. Use mpd/client.h instead.

Definition in file capabilities.h.

## Function Documentation

## ◆ mpd_send_allowed_commands()

bool mpd_send_allowed_commands | ( | struct mpd_connection * | connection | ) |

Requests a list of supported and allowed. Use mpd_recv_pair_named() to obtain the list of "command" pairs.

Parameters

  connection | the connection to MPD

Returns
  true on success, false on error

## ◆ mpd_send_disallowed_commands()

bool mpd_send_disallowed_commands | ( | struct mpd_connection * | connection | ) |

Requests a list of supported commands which are not allowed for this connection. Use mpd_recv_pair_named() to obtain the list of "command" pairs.

Parameters

  connection | the connection to MPD

Returns
  true on success, false on error

## ◆ mpd_recv_command_pair()

static mpd_malloc struct mpd_pair* mpd_recv_command_pair | ( | struct mpd_connection * | connection | ) |
| static

Receives the next supported command. Call this in a loop after mpd_send_commands() or mpd_send_notcommands().

Free the return value with mpd_return_pair().

Parameters

  connection | a mpd_connection

Returns
  a "command" pair, or NULL on error or if the end of the response is reached

Definition at line 82 of file capabilities.h.

## ◆ mpd_send_list_url_schemes()

bool mpd_send_list_url_schemes | ( | struct mpd_connection * | connection | ) |

Requests a list of supported URL handlers in the form "scheme://", example: "http://". Use mpd_recv_pair_named() to obtain the list of "handler" pairs.

Parameters

  connection | the connection to MPD

Returns
  true on success, false on error

## ◆ mpd_recv_url_scheme_pair()

static mpd_malloc struct mpd_pair* mpd_recv_url_scheme_pair | ( | struct mpd_connection * | connection | ) |
| static

Receives one line of the mpd_send_urlhandlers() response.

Free the return value with mpd_return_pair().

Parameters

  connection | a mpd_connection

Returns
  a "handler" pair, or NULL on error or if the end of the response is reached

Definition at line 109 of file capabilities.h.

## ◆ mpd_send_list_tag_types()

bool mpd_send_list_tag_types | ( | struct mpd_connection * | connection | ) |

Requests a list of supported tag types. Use mpd_recv_pair_named() to obtain the list of "tagtype" pairs.

Parameters

  connection | the connection to MPD

Returns
  true on success, false on error

## ◆ mpd_recv_tag_type_pair()

static mpd_malloc struct mpd_pair* mpd_recv_tag_type_pair | ( | struct mpd_connection * | connection | ) |
| static

Receives the next tag type name. Call this in a loop after mpd_send_tagtypes().

Free the return value with mpd_return_pair().

Parameters

  connection | a mpd_connection

Returns
  a "tagtype" pair, or NULL on error or if the end of the response is reached

Definition at line 136 of file capabilities.h.